Subject: [PATCH v3 1/2] ARM: arch_timers: enable the use of the virtual timer

From: [email-masked] (Stephen Boyd)
Date: Thu, 30 Aug 2012 16:28:08 -0700

On 8/24/2012 7:52 AM, Marc Zyngier wrote:
> At the moment, the arch_timer driver only uses the physical timer,
> which can cause problem if PL2 hasn't enabled PL1 access in CNTHCTL,
> which is likely in a virtualized environment. Instead, the virtual
> timer is always available.
>
> This patch enables the use of the virtual timer, unless no
> interrupt is provided in the DT for it, in which case it falls
> back to the physical timer.

Is this a good candidate for static keys? It looks like we make the
decision fairly early and then we're done and have a bunch of if
statements. Maybe its premature optimization though...

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.